#include "memoserv_win.hpp"
#include "app_config.h"
#include <QMenu>
#include <QMenuBar>
#include <QApplication>
#include <iostream>

class QApplication;

namespace duck {

MemoservWin::MemoservWin(QApplication* app, QWidget *parent) :
    QMainWindow(parent)
{
	create_menu(app);
}

MemoservWin::~MemoservWin() noexcept = default;

void MemoservWin::create_menu(QApplication* app) {
	QMenu* const file_menu = menuBar()->addMenu(tr("&File"));
	{
		const QIcon open_icon = QIcon::fromTheme("document-open", QIcon(":/images/open.png"));
		const auto open_act = new QAction(open_icon, tr("&Open..."), this);
		connect(open_act, &QAction::triggered, this, &MemoservWin::open);
		file_menu->addAction(open_act);
	}

	QMenu* const help_menu = menuBar()->addMenu(tr("&Help"));
	{
		help_menu->addAction(tr("About &Qt..."), app, &QApplication::aboutQt);
	}
}

void MemoservWin::open() {
	std::cout << "MemoservWin::open()\n";
}

} //namespace duck
